Authorize Post
curl --request POST \
--url https://api.digitalseaservice.com/oauth/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'action=<string>' \
--data 'client_id=<string>' \
--data 'redirect_uri=<string>' \
--data 'code_challenge=<string>' \
--data response_type=code \
--data scope= \
--data state= \
--data code_challenge_method=S256 \
--data 'user_id=<string>'import requests
url = "https://api.digitalseaservice.com/oauth/authorize"
payload = {
"action": "<string>",
"client_id": "<string>",
"redirect_uri": "<string>",
"code_challenge": "<string>",
"response_type": "code",
"scope": "",
"state": "",
"code_challenge_method": "S256",
"user_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
action: '<string>',
client_id: '<string>',
redirect_uri: '<string>',
code_challenge: '<string>',
response_type: 'code',
scope: '',
state: '',
code_challenge_method: 'S256',
user_id: '<string>'
})
};
fetch('https://api.digitalseaservice.com/oauth/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}oauth
Authorize Post
POST
/
oauth
/
authorize
Authorize Post
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/x-www-form-urlencoded
Response
Successful Response
⌘I

